/** 
 * Copyright (C) 2009 "Darwin V. Felix" <dfelix@users.sourceforge.net>
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

public class SpnegoHelloClient {

    public static void main(String[] args) throws Exception {
        System.setProperty("java.security.krb5.conf", "krb5.conf");
        System.setProperty("java.security.auth.login.config", "login.conf");
        //System.setProperty("sun.security.krb5.debug", "true");
        
        final String module = null;
        final String username = null;
        final String password = null;
        
        if (null == module || null == username || null == password) {
            System.out.println("Must provide module, username, and password");
            System.exit(0);
        }
        
        // set user credentials
        final ExampleSpnegoSOAPClient client = 
            new ExampleSpnegoSOAPClient(module, username, password);
        
        // url address of web service
        client.setServiceLocation("http://medusa:8080/helloservice/HelloService");
        
        // method to invoke
        client.setMethodName("http://endpoint.helloservice/", "sayHello", "hns");
        
        // invoke the method and output the results
        System.out.println(client.invoke(args).getTextContent());
    }
}
